Bug 985780 - Ekiga is shutting down slowly
Ekiga is shutting down slowly
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ekiga (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: beta
: 7.0
Assigned To: Benjamin Otte
Desktop QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 04:45 EDT by Martin Simon
Modified: 2017-07-01 19:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-20 23:35:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2013-07-18 04:45:52 EDT
Description of problem:
If I start ekiga in terminal, then turn it down, it takes about 5 seconds to shutdown until I get the terminal prompt back again. It's quite long time for shutdown.

Version-Release number of selected component (if applicable):
ekiga-4.0.1-1.2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. In terminal start ekiga
2. Quit ekiga
3.

Actual results:
It takes about 5 seconds until the ekiga is fully quited

Expected results:
the shutdown should be immediate

Additional info:
the output of ekiga after quit button clicked (started with command $ ekiga -d 4):
2013/07/18 09:58:36.248	  0:15.532	                       	OpalMan	Clearing all calls and waiting, primary thread.
2013/07/18 09:58:36.812	  0:16.096	                       	OpalMan	All calls cleared.
2013/07/18 09:58:36.812	  0:16.096	                       	OpalMan	Shutting down endpoints.
2013/07/18 09:58:36.812	  0:16.096	                       	OpalMan	Clearing all calls and waiting, primary thread.
2013/07/18 09:58:37.813	  0:17.096	                       	OpalMan	All calls cleared.
2013/07/18 09:58:37.813	  0:17.096	                       	OpalEP	pc endpoint shutting down.
2013/07/18 09:58:37.813	  0:17.096	                       	SIP	Shutting down.
2013/07/18 09:58:37.913	  0:17.197	                       	OpalEP	sip endpoint shutting down.
2013/07/18 09:58:37.913	  0:17.197	                       	Listen	Stopping listening thread on udp$*:5060
2013/07/18 09:58:37.913	  0:17.197	                       	MonSock	Closed UDP socket 0x1d5be40
2013/07/18 09:58:37.913	  0:17.197	Opal Liste...3964e11700	Listen	UDP read error.
2013/07/18 09:58:37.913	  0:17.197	Opal Liste...3964e11700	PWLib	File handle low water mark set: 32 PTextFile
2013/07/18 09:58:37.913	  0:17.197	Opal Liste...3964e11700	PTLib	Thread ended: name="Opal Listener:0x7f3964e11700", real=11.825, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
2013/07/18 09:58:37.933	  0:17.217	                       	MonSock	Deleting UDP socket 0x1d5be40
2013/07/18 09:58:37.933	  0:17.217	                       	OpalMan	Clearing all calls and waiting, secondary thread.
2013/07/18 09:58:37.933	  0:17.217	                       	OpalMan	All calls cleared.
2013/07/18 09:58:37.933	  0:17.217	GkMonitor:...3964053700	RAS	Background thread ended
2013/07/18 09:58:37.934	  0:17.217	GkMonitor:...3964053700	PWLib	File handle low water mark set: 31 PTextFile
2013/07/18 09:58:37.934	  0:17.217	GkMonitor:...3964053700	PTLib	Thread ended: name="GkMonitor:0x7f3964053700", real=11.834, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
2013/07/18 09:58:37.944	  0:17.227	                       	Opal	Transport clean up on termination
2013/07/18 09:58:37.944	  0:17.228	                       	Opal	Transport Close
2013/07/18 09:58:37.944	  0:17.228	                       	MonSock	Closed UDP socket 0x7f3938007c20
2013/07/18 09:58:37.944	  0:17.228	Transactor...3930059700	H225RAS	Read error (0): Bad file descriptor
2013/07/18 09:58:37.944	  0:17.228	Transactor...3930059700	Trans	Ended listener thread on udp$23.23.152.202:1719<if=udp$209.132.186.34:5061>
2013/07/18 09:58:37.944	  0:17.228	Transactor...3930059700	PTLib	Thread ended: name="Transactor:0x7f3930059700", real=11.756, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
2013/07/18 09:58:37.964	  0:17.248	                       	MonSock	Deleting UDP socket 0x7f3938007c20
2013/07/18 09:58:37.964	  0:17.248	                       	Opal	Transport clean up on termination
2013/07/18 09:58:37.964	  0:17.248	                       	Opal	Transport Close
2013/07/18 09:58:37.964	  0:17.248	                       	Opal	Deleted transport udp$23.23.152.202:1719<if=>
2013/07/18 09:58:37.965	  0:17.249	                       	OpalEP	h323 endpoint shutting down.
2013/07/18 09:58:37.965	  0:17.249	                       	Listen	Stopping listening thread on tcp$*:1720
2013/07/18 09:58:37.965	  0:17.249	Opal Liste...3964dd0700	PTLib	Thread ended: name="Opal Listener:0x7f3964dd0700", real=11.866, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
2013/07/18 09:58:37.975	  0:17.259	                       	PCSS	Deleted PC sound system endpoint.
2013/07/18 09:58:37.975	  0:17.259	                       	LocalEP	Deleted endpoint.
2013/07/18 09:58:37.975	  0:17.259	                       	OpalEP	pc endpoint destroyed.
2013/07/18 09:58:37.975	  0:17.259	                       	OpalEP	sip endpoint destroyed.
2013/07/18 09:58:37.975	  0:17.259	                       	OpalEP	h323 endpoint destroyed.
2013/07/18 09:58:37.975	  0:17.259	                       	OpalMan	Shutting down endpoints.
2013/07/18 09:58:37.975	  0:17.259	                       	OpalMan	Clearing all calls and waiting, primary thread.
2013/07/18 09:58:38.813	  0:18.097	                       	OpalMan	All calls cleared.
2013/07/18 09:58:38.813	  0:18.097	Opal Garba...3964e93700	PTLib	Thread ended: name="Opal Garbage:0x7f3964e93700", real=18.003, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
2013/07/18 09:58:38.823	  0:18.107	                       	IfaceMon	Awaiting thread termination
2013/07/18 09:58:38.823	  0:18.107	Network In...3964e52700	IfaceMon	Finished interface monitor thread.
2013/07/18 09:58:38.823	  0:18.107	Network In...3964e52700	PWLib	File handle low water mark set: 24 PTextFile
2013/07/18 09:58:38.823	  0:18.107	Network In...3964e52700	PTLib	Thread ended: name="Network Interface Monitor:0x7f3964e52700", real=18.000, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
2013/07/18 09:58:38.833	  0:18.117	                       	OpalMan	Deleted manager.
2013/07/18 09:58:38.834	  0:18.118	AudioEvent...3965122700	PTLib	Thread ended: name="AudioEventScheduler:0x7f3965122700", real=18.074, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
2013/07/18 09:58:38.834	  0:18.118	VideoPrevi...3965163700	PTLib	Thread ended: name="VideoPreviewManager:0x7f3965163700", real=18.074, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
2013/07/18 09:58:38.835	  0:18.119	                       	OpalPlugin	Using default handler for plugin codec lpc10_ptplugin
2013/07/18 09:58:38.836	  0:18.119	                       	OpalPlugin	Using default handler for plugin codec ima_adpcm_ptplugin
2013/07/18 09:58:38.836	  0:18.119	                       	OpalPlugin	Using default handler for plugin codec g726_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	OpalPlugin	Using default handler for plugin codec speex_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	OpalPlugin	Using default handler for plugin codec g7221_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	OpalPlugin	Using default handler for plugin codec gsm0610_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	OpalPlugin	Using default handler for plugin codec g7222_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	OpalPlugin	Using default handler for plugin codec iLBC_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	OpalPlugin	Using default handler for plugin codec g722_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	OpalPlugin	Using default handler for plugin codec gsmamrcodec_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	OpalPlugin	Using default handler for plugin codec h261_vic_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	OpalPlugin	Using default handler for plugin codec theora_ptplugin
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/video/theora_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/video/h261_vic_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/gsmamrcodec_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/g722_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/iLBC_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/g7222_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/gsm0610_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/g7221_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/speex_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/g726_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/ima_adpcm_ptplugin.so
2013/07/18 09:58:38.836	  0:18.120	                       	UDLL	Closing /usr/lib64/opal-3.10.10/codecs/audio/lpc10_ptplugin.so
2013/07/18 09:58:38.837	  0:18.120	                       	UDLL	Closing /usr/lib64/ptlib-2.10.10/devices/sound/alsa_pwplugin.so
2013/07/18 09:58:38.837	  0:18.120	                       	UDLL	Closing /usr/lib64/ptlib-2.10.10/devices/sound/pulse_pwplugin.so
2013/07/18 09:58:38.837	  0:18.120	                       	UDLL	Closing /usr/lib64/ptlib-2.10.10/devices/videoinput/v4l2_pwplugin.so
2013/07/18 09:58:40.841	  0:20.125	GMVideoOut...39650e1700	PWLib	File handle low water mark set: 13 PTextFile
2013/07/18 09:58:40.841	  0:20.125	GMVideoOut...39650e1700	PTLib	Thread ended: name="GMVideoOutputManager:0x7f39650e1700", real=20.079, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
2013/07/18 09:58:40.857	  0:20.141	Housekeepe...39651a4700	PWLib	File handle low water mark set: 9 PTextFile
2013/07/18 09:58:40.857	  0:20.141	Housekeepe...39651a4700	PTLib	Thread ended: name="Housekeeper:0x7f39651a4700", real=20.096, kernel=0.000 (0%), user=0.000 (0%), both=0.000 (0%)
Comment 1 Matthias Clasen 2014-02-20 23:35:42 EST
too late to fix for 7.0
Comment 2 Martin Simon 2014-02-24 10:32:17 EST
Moving it to 7.1 as this bug is still present

Note You need to log in before you can comment on or make changes to this bug.